#include <iostream> // подключение библиотеки ввода-вывода
#include <string> // подключение библиотеки для работы со строками
#include <vector> // подключение библиотеки для работы с векторами

using namespace std; // подключение пространства имён std

int main(){
    vector <string> words; // массивы для хранения слов (используется вектор для устранения ограничения на размер памяти)
    string word; // строка для ввода слов и вывода слова по условию
    int count; // счётчик дубликатов (повторов)
    int size; // размер массива слов

    // ввод строк
    cout << "Input array's size: ";
    cin >> size;
    // добавляем в массив words вводимые слова
    cout << "Input array's elements:" << endl;
    for (int i = 0; i <= size; i++){
        getline(cin, word); // получаем слово
        words.push_back(word); // добавляем в массив
    }
    cout << endl;

    cout << "Result: ";
    for (int i = 0; i < words.size(); i++){
        word = ""; // обнуляем строку вывода
        for (int j = 0; j < words[i].size(); j++){
            count = 0; // обнуляем счётчик повторов
            for (int o = 0; o < words[i].size(); o++){
                if (words[i][j] == words[i][o]){ // если найден дубликат символа
                    count++; // увеличиваем счётчик
                }
            }
            if (count == 1){ // если найден только один дубликат
                word.push_back(words[i][j]); // добавляем символ в строку вывода
            }
        }
        if (word.size() == words[i].size()){ // если строка вывода по размеру совпадает с текущим словом
            cout << word << " "; // выводим строку вывода
        }
    }

    cout << endl;

    return 0; // успешное завершение программы
}